- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_collection_t

# mongoc_collection_set_read_prefs()

## Synopsis

    void
    mongoc_collection_set_read_prefs (mongoc_collection_t *collection,
                                      const mongoc_read_prefs_t *read_prefs);

## Parameters

- `collection`: A mongoc_collection_t.
- `read_prefs`: A mongoc_read_prefs_t.

## Description

Sets the default read preferences to use for operations on `collection` not specifying a read preference.

The global default is MONGOC_READ_PRIMARY: if the client is connected to a replica set it reads from the primary, otherwise it reads from the current MongoDB server.

Please see the MongoDB website for a description of Read Preferences.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.